質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.50%

  • Swift 2

    1339questions

    Swift 2は、Apple社が独自に開発を行っている言語「Swift」のアップグレード版です。iOSやOS X、さらにLinuxにも対応可能です。また、throws-catchベースのエラーハンドリングが追加されています。

  • Xcode 7

    616questions

    Xcode 7は、ソフトウェア開発のためのアップルの統合開発環境であるXcodeのバージョン。UIを作成するために用いるグラフィカルツールです。iOS9/OS X El Capitan/watchOS2に対応。Swift 2コンパイラーが搭載されています。

  • SDK

    148questions

    SDK(software development kit)は特定のハードウェアのプラットフォーム、開発環境又はソフトウェアパッケージでソフトウェアをつくるのに必要な開発ツールのセットです。SDKはAPI、IDE又は他の開発ツールとフレームワークを組み合わせたもので構成されていることがあります。

  • Milkcocoa

    110questions

    Milkcocoaとは、バックエンド機能を提供するBaaSサービスの一つです。サーバを準備することなく、フロントエンドのコーディングだけでデータの保存・更新・取得、またPub/Sub通信行うことが可能です。

  • Cocoa

    81questions

    CocoaはMac OS X用のアプリケーションを構築する為の主要なフレームワークのひとつです。

cocoapodでインストールできないsdkを利用したいです

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 901

aminosan

score 3

前提・実現したいこと

以下のSDKを利用したいのですが、
cocoapodでインストールできないようなので、
手動インストールを色々と試みていますが、方法がわからず困っています。
https://github.com/milk-cocoa/milkcocoa-swift-sdk

●以下試したこと
gitからzipダウンロード

解凍したフォルダを利用したいプロジェクト配下ディレクトリにコピー

利用したいプロジェクトをxcodeで起動して、
コピーしたMilkCocoa.xcodeprojをドラッグ&ドロップ

Target⇒Linked Frameworks and Libraries
にMilkCocoaを追加

CocoaMQTTが必要なようなので
pod install

Xcodeでビルドしようとすると
エラー
No such module 'MilkCocoa'
となってしまいます。
また、
「MilkCocoa.framework」
「MilkCocoaTests.xctest」
が赤字です。

補足情報(言語/FW/ツール等のバージョンなど)

xcodeのバージョン:7.3.1
podのバージョン:1.0.0

そもそもXcodeのプログラミングが初心者なので、
色々手探りです。。どなたかご教示お願いします!

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

githubみるとPodfile置いてあるし、cocoapodに対応されてるっぽいですけどね。
手動でやるにしても、Linked Frameworks and Librariesにはおそらく「MilkCocoa.framework」を追加しないとダメです。あとはご存知かとは思いますが、cocoapodを使ったなら、プロジェクトファイルは.xcodeprojではなくxcworkspecで開きます。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/10/07 11:13

    ご回答ありがとうございます。

    pod setup をもう一度やったところ、pod install でエラーが出ることはなくなったのですが、XcodeのプロジェクトファイルのFrameworksに「Pods_MilkcocoaConnect.framework」が赤字で表示されてしまいます。
    ※AppDelegate.swiftに、import MilkCocoa を記述すると、
    エラー「no such module "MilkCocoa"」が出ます。

    赤字の「Pods_MilkcocoaConnect.framework」のFull Pathには、
    /Users/**ユーザ名**/Library/Developer/Xcode/DerivedData/MilkcocoaConnect-hbegvsvdxssavpgkplwuejrtusle/Build/Products/Debug-iphoneos/Pods_MilkcocoaConnect.framework
    とあるのですが、実際ディレクトリを見てもそのようなファイルは入っていません。

    swiftの対応バージョンが異なるなどが原因で.frameworkファイルのビルド?に失敗しているのでしょうか?
    仮にそうだった場合、SDK側が対応しない限りインストールできないのでしょうか?

    初歩的な質問ばかりで大変恐縮ですが、ご教示お願いいたします!!!

    キャンセル

  • 2016/10/07 12:04

    今はわかりませんが、
    http://gihyo.jp/dev/feature/01/milkcocoa-baas/0006
    とか見ると開発元にコンタクトとってframeworkをもらう必要があるのかもしれません。
    いずれにせよ、githubにある連絡先に問い合わせるのが一番早いと思います。
    「コントリビューター募集中」ってあるし。

    キャンセル

  • 2016/10/07 12:28

    先日問い合わせたところ、記載いただいた記事は古く、上記githubで公開していますという回答でした。もう少し調べて無理だったら別のアプリケーションを使うようにします。
    ありがとうございました。

    キャンセル

  • 2016/10/07 13:20

    試しにダウンロードしてみたけど、中身に.frameworkはなかったですけどね。。。
    MilkCocoaはCocoaMQTTのラッパーみたいなので、コード量は多少増えますが、がんばればCocoaMQTTのみでもやりたいことはできると思います。この記事なんか参考になると思いました。http://todotani.cocolog-nifty.com/blog/2016/01/iosmilkcocoamqt.html

    キャンセル

  • 2016/10/07 19:22

    やはりcocoa podによるインストールでは、どうしてもビルドエラーになってしまうため、

    ライブラリをgitからDL⇒プロジェクトに追加⇒ラッパーライブラリをcocoapodでインストール⇒諸々設定

    でインポート(とりあえずビルドエラーにならない)できました。
    色々とご教示いただきありがとうございました!!!!

    キャンセル

同じタグがついた質問を見る

  • Swift 2

    1339questions

    Swift 2は、Apple社が独自に開発を行っている言語「Swift」のアップグレード版です。iOSやOS X、さらにLinuxにも対応可能です。また、throws-catchベースのエラーハンドリングが追加されています。

  • Xcode 7

    616questions

    Xcode 7は、ソフトウェア開発のためのアップルの統合開発環境であるXcodeのバージョン。UIを作成するために用いるグラフィカルツールです。iOS9/OS X El Capitan/watchOS2に対応。Swift 2コンパイラーが搭載されています。

  • SDK

    148questions

    SDK(software development kit)は特定のハードウェアのプラットフォーム、開発環境又はソフトウェアパッケージでソフトウェアをつくるのに必要な開発ツールのセットです。SDKはAPI、IDE又は他の開発ツールとフレームワークを組み合わせたもので構成されていることがあります。

  • Milkcocoa

    110questions

    Milkcocoaとは、バックエンド機能を提供するBaaSサービスの一つです。サーバを準備することなく、フロントエンドのコーディングだけでデータの保存・更新・取得、またPub/Sub通信行うことが可能です。

  • Cocoa

    81questions

    CocoaはMac OS X用のアプリケーションを構築する為の主要なフレームワークのひとつです。